Is Regression: No
Sprint Focus:
Subject: File links from tt_content bodytext are not/wrong indexed
Description
This is quite similar to #48998 but the behaviour is a bit different. A file link in RTE is not converted by the migration tool and not
indexed in frontend view/preview but only when an editor opens the content element in the backend and then it is indexed wrong as
described in #49033. This means:
    1. the file link will work in frontend (since it contains the site relative path)
    2. if an editor opens the bodytext field in backend the file is indexed but with storage 0
    3. the file link will be broken if the file path changes (for example when renaming file or folder)
    4. even if the indexing would happen with the correct storage as long as the CE is not opened in backend the file link would not
reflect renaming the file or path

To reproduce:

1. after running the migration tool all file links in bodytext still look like this:

<link fileadmin/Downloads/myfile.pdf _blank download>MyFile</link>

2. when opening the page in frontend this link works but the file is not indexed
3. when opening the content element in backend the bodytext the link looks like this:

<a href="http://www.mydomain.de/?file:1234" class="download" title="Initiates file download" _blank download>MyFile</a>

 where 1234 is the uid of a new created entry in sys_file with storage = 0, which means the file is still not reflecting renaming of files
and paths.

This is an absolute blocker for upgrading to 6.0 or 6.1 since there is no way to easy fix all wrong indexed files as long as not all
bodytext fields containing file links are indexed.

Related issues:
related to Core - Bug # 48998: FAL files get reindexed in storage null when u... Resolved 2012-09-06
related to Core - Bug # 49233: FAL Migration not applied to file links in tt_... Resolved 2013-06-19

History
#1 - 2013-06-18 07:26 - Nico de Haen

Sorry I picked the wrong issue ID in the description. The "similar" issue is #48998 not #49033

#2 - 2013-06-18 11:57 - Georg Ringer
changed issue number

#3 - 2013-11-16 08:32 - Steffen Ritter
- Status changed from New to Needs Feedback
- Is Regression set to No

so we have a upgrade wizard for that now and double indexation is prevented...

still an issue

#4 - 2013-11-16 08:39 - Nico de Haen

Is that a question or a statement?

#5 - 2013-11-18 09:04 - Alexander Opitz

This was a question. ;)

#6 - 2014-03-06 09:22 - Alexander Opitz
- Status changed from Needs Feedback to Closed
- Target version deleted (next-patchlevel)

No feedback within the last 90 days => closing this ticket.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
